## vmelilo 1.1.1-1

=== Makefile ===
##--------------------------------------------------------------------------##
#
# BVME4000/6000 Linux/m68k Loader
#
# Makefile
#

# Possible options:
#
# BOOTINFO_COMPAT_1_0:
#	Include support for booting kernel with bootinfo version 1.0 (up to 2.0.x)
#
OPTIONS				=	-DBOOTINFO_COMPAT_1_0

DESTDIR				=	

CC					=	gcc
LD					=	ld
CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 $(OPTIONS)
INSTALL				=	install
MAKE				=	make


SUBDIRS				=	debug

LOADER_COMMON_FILES	= loader.o gunzip_mod.o file_mod.o stream.o loaderlib.o
BVME_LOADER_FILES	= $(LOADER_COMMON_FILES) bvmeloader.o
MVME_LOADER_FILES	= $(LOADER_COMMON_FILES) mvmeloader.o

LILO_FILES			= vmelilo.o geo.o cfg.o bvme.o mvme.o

##--------------------------------------------------------------------------##
# Targets
#

vmelilo:		$(LILO_FILES)
				$(CC) -o vmelilo $(LILO_FILES)
				strip -R .note -R .comment vmelilo

bin2data:		bin2data.c
				gcc -O bin2data.c -o bin2data

##--------------------------------------------------------------------------##
# Dependencies
#

vmelilo.o:		bin2data vmelilo.c vmelilo.h loader.h version.h
cfg.o:			cfg.c  vmelilo.h loader.h bvmbug.h version.h
geo.o:			geo.c  vmelilo.h loader.h bvmbug.h version.h
bvme.o:			bvme.c bvmbug.h  bvmeloader.data version.h
mvme.o:			mvme.c mvmebug.h mvmeloader.data mvmeboot.data version.h

bvmeloader.bin:	$(BVME_LOADER_FILES)
				$(LD) -T loader.ld $(BVME_LOADER_FILES) -o bvmeloader.bin \
					-oformat binary -M >bvmeloader.map

mvmeloader.bin:	$(MVME_LOADER_FILES)
				$(LD) -T loader.ld $(MVME_LOADER_FILES) -o mvmeloader.bin \
					-oformat binary -M >mvmeloader.map

mvmeboot.bin:	mvmeboot.o
				$(LD) -T loader.ld mvmeboot.o -o mvmeboot.bin -oformat binary

loader.o:		loader.h loaderlib.h
bvmeloader.o:	bvmeloader.c loader.h loaderlib.h bvmbug.h
mvmeloader.o:	mvmeloader.c loader.h loaderlib.h mvmebug.h
loaderlib.o:	loaderlib.c  loaderlib.h
gunzip_mod.o:	gunzip_mod.c inflate.c stream.h loaderlib.h
file_mod.o:		file_mod.c stream.h loaderlib.h
stream.o:		stream.c stream.h loaderlib.h

##--------------------------------------------------------------------------##
# Installation
#

install:	vmelilo
	$(INSTALL) -o root -g disk -m 2775 -d $(DESTDIR)/boot
	$(INSTALL) -o root -g root -m 0755 vmelilo $(DESTDIR)/sbin/
	$(INSTALL) -o root -g root -m 0644 examples/vmelilo.conf \
							$(DESTDIR)/usr/doc/vmelilo/examples/
	$(INSTALL) -o root -g root -m 0644 vmelilo.8 $(DESTDIR)/usr/man/man8/
	$(INSTALL) -o root -g root -m 0644 vmelilo.conf.5 $(DESTDIR)/usr/man/man5/

##--------------------------------------------------------------------------##
# Clean up
#

clean:
				rm -f vmelilo bin2data *.o *.data *.bin *.map
				for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done

##--------------------------------------------------------------------------##
# General rules
#

%.data:			%.bin
				./bin2data $*.bin $*_code > $*.data

%.o:			%.S
				$(CC) -D__ASSEMBLY__ -Wa,-m68040 -c $< -o $*.o

%.o:			%.c
				$(CC) $(CFLAGS) -c $< -o $*.o

##-----------------------------< end of file >------------------------------##

=== debug/Makefile ===
#
# VME Linux/m68k Loader Debug Utilities
#
# Makefile
#

CC =		gcc
CFLAGS =	-O2 -fomit-frame-pointer -Wall


OBJS =		dumpmapfile


All:		$(OBJS)


# Targets:

dumpmapfile:	dumpmapfile.c ../vmelilo.h ../loader.h
		$(CC) $(CFLAGS) -o dumpmapfile dumpmapfile.c


# Clean up

clean:
		rm -f dumpmapfile

=== debian/changelog ===
vmelilo (1.1.1-1) frozen unstable; urgency=high

  * Bootloader now displays version number.
  * Added 'callmonitor' usage warning in man page.
  * Fixed MVME IPL code to actually load at address 0x10000 like it's
    supposed to.

 -- Nick Holgate <holgate@debian.org>  Mon, 23 Nov 1998 00:53:00 +0000

vmelilo (1.1.0-1) frozen unstable; urgency=high

  * Recompiled using 68060 specific optimisations to prevent generation
    of unimplmented integer instruction exceptions when booting MVME172's
  * Fixed uninitialised field in MVME boot block.
    Courtesy of Richard Hirst <richard@sleepie.demon.co.uk>
  * Fixed MVME file read routines to cope with 'holes'.
    Courtesy of Richard Hirst <richard@sleepie.demon.co.uk>
  * Implemented 'callmonitor' configuration parameter for MVME.
  * Recoded MVME print formatter.
  * Bootloader now operates entirely in DRAM and loads at address 0x10000,
    this allows the bootroms to be configured to use the lower 64K for local
    storage instead of the battery backed SRAM.

 -- Nick Holgate <holgate@debian.org>  Fri, 20 Aug 1998 00:28:00 +0000

vmelilo (1.0.3-1) unstable; urgency=low

  * Rewritten command line parser to use getopt_long().
  * Fixed problem where if --loader option was specified before --root
    the loader name would not be prefixed with the root directory name.

 -- Nick Holgate <holgate@debian.org>  Wed, 5 Aug 1998 10:27:00 +0100

vmelilo (1.0.2-1) unstable; urgency=low

  * Removed dependency on 2.1.xx kernel includes.
  * Moved large I/O buffers in loader from stack to heap storage.
  * Removed arbitrary 2Mb minimum ram size requirement from loader.
  * Moved loader global variables into heap allocated storage to
    reduce loader file size.

 -- Nick Holgate <nick_h@bvmltd.co.uk>  Thu, 30 Jul 1998 13:40:00 +0100

vmelilo (1.0.1-1) unstable; urgency=low

  * Fixed problem with mvme loader disk read trying to read partial disk block
    at end of file if file size was not multiple of disk block size.
    Problem found and fixed by Richard Hirst <richard@sleepie.demon.co.uk>

 -- Nick Holgate <nick_h@bvmltd.co.uk>  Fri, 24 Jul 1998 10:20:00 +0100

vmelilo (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Nick Holgate <nick_h@bvmltd.co.uk>  Fri, 17 Jul 1998 01:26:51 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "holgate@debian.org"
End:

=== debian/control ===
Source: vmelilo
Section: base
Priority: optional
Maintainer: Nick Holgate <holgate@debian.org>
Standards-Version: 2.4.1

Package: vmelilo
Architecture: m68k
Depends: ${shlibs:Depends}
Description: Linux kernel boot loader for m68k VME processor boards.
 Vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
 loader allowing direct booting from disk.  Includes support for Linux
 version 2.0 and 2.1 kernels in addition kernels may be compressed with gzip.
 Currently vmelilo supports BVM and Motorola processor boards.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=vmelilo-1.0.3

build:
	$(checkdir)
	
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	rmdir debian/tmp/boot 
	install -d -g root -m 755 -o root debian/tmp/usr/doc/vmelilo
	install -d -g root -m 755 -o root debian/tmp/usr/doc/vmelilo/examples
	install    -g root -m 644 -o root examples/vmelilo.conf \
		debian/tmp/usr/doc/vmelilo/examples/vmelilo.conf
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go-w debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## vmelilo 1.3.2-1

=== Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for VME Linux/m68k Loader
#
# (c) Copyright 1997 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#
#

DESTDIR				=
BINDIR				=	/sbin
MANDIR				=	/usr/man
LDRINC				=	loader/include

ifneq ($(shell uname -m),m68k)
 CROSS_COMPILE		=	m68k-linux-
else
 CROSS_COMPILE		=	
endif

AS					=	$(CROSS_COMPILE)as
LD					=	$(CROSS_COMPILE)ld
CC					=	$(CROSS_COMPILE)gcc
STRIP				=	$(CROSS_COMPILE)strip
INSTALL				=	install
MAKE				=	make

CFLAGS				=	-O2 -fomit-frame-pointer -Wall -I$(LDRINC)

SUBDIRS				=	utils loader/bvme loader/mvme

OBJS				=	vmelilo.o geometry.o config.o \
						loader/bvme/bvme.o \
						loader/mvme/mvme.o

##--------------------------------------------------------------------------##
# Targets
#

.PHONY:			all
all:			subdirs vmelilo

.PHONY:			subdirs
subdirs:
				for i in $(SUBDIRS); do $(MAKE) -C $$i; done

vmelilo:		$(OBJS) Makefile
				$(CC) $(OBJS) -o vmelilo
				$(STRIP) -R .note -R .comment vmelilo

##--------------------------------------------------------------------------##
# Dependencies
#

vmelilo.o:		vmelilo.c  vmelilo.h version.h $(LDRINC)/loaderdefs.h
config.o:		config.c   vmelilo.h version.h $(LDRINC)/loaderdefs.h
geometry.o:		geometry.c vmelilo.h version.h $(LDRINC)/loaderdefs.h

##--------------------------------------------------------------------------##
# Installation
#

.PHONY:		install install-bin install-man
install:	install-bin install-man

install-bin: vmelilo
	$(INSTALL) -o root -g root -m 0755 vmelilo             $(DESTDIR)$(BINDIR)/

install-man:
	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.8      $(DESTDIR)$(MANDIR)/man8/
	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.conf.5 $(DESTDIR)$(MANDIR)/man5/

##--------------------------------------------------------------------------##
# Clean up
#

.PHONY:			clean
clean:
				rm -f vmelilo *.o
				for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done

##--------------------------------------------------------------------------##
# General rules
#

%.o:			%.c
				$(CC) $(CFLAGS) -c $< -o $*.o

##-----------------------------< end of file >------------------------------##

=== utils/Makefile ===

LDRINC				=	../loader/include

ifneq ($(shell uname -m),m68k)
 CROSS_COMPILE		=	m68k-linux-
else
 CROSS_COMPILE		=	
endif

CC					=	$(CROSS_COMPILE)gcc
CFLAGS				=	-O2 -fomit-frame-pointer -Wall -I../loader/include

HOSTCC				=	gcc
HOSTCFLAGS			=	-Wstrict-prototypes -O2 -fomit-frame-pointer -Wall

OBJS				=	dumpmap bin2data

all:			$(OBJS)

bin2data:		bin2data.c
				$(HOSTCC) $(HOSTCFLAGS) -O bin2data.c -o bin2data

dumpmapfile:	dumpmapfile.c ../vmelilo.h ../version.h $(LDRINC)/loaderdefs.h
				$(CC) $(CFLAGS) -o dumpmap dumpmap.c

clean:
				rm -f $(OBJS)


.PHONY: all clean

=== loader/bvme/Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for BVME4000/6000 parts of vmelilo.
#
# (c) Copyright 1997 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#

##--------------------------------------------------------------------------##

TOPDIR				=	../..

CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
						-I$(TOPDIR) -I$(LDRINC) -I.
AFLAGS				=	-Wa,-m68060

##--------------------------------------------------------------------------##
# Targets
#

all: bvme.o

##--------------------------------------------------------------------------##
# Clean up
#

clean:
	rm -f *.o *.data *.bin *.map

##--------------------------------------------------------------------------##

include ../Rules.make

##--------------------------------------------------------------------------##
# Dependencies
#

bvme.o:			bvme.c bvmbug.h bvmeipl.data bvmeloader.data \
				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
				$(LDRINC)/loaderdefs.h config.h

bvmeloader.data: $(LOADER_COMMON_OBJS) bvmeloader.o loader.ld
				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) bvmeloader.o \
					-o bvmeloader.bin -oformat binary -M >bvmeloader.map
				$(BIN2DATA) bvmeloader.bin bvmeloader_code > $@

bvmeipl.data:	bvmeipl.o loader.ld
				$(LD) -T loader.ld bvmeipl.o -o bvmeipl.bin \
					-oformat binary -M >bvmeipl.map
				$(BIN2DATA) bvmeipl.bin bvmeipl_code > $@


bvmeloader.o:	bvmeloader.c bvmbug.h $(LOADER_COMMON_INCS)


##-----------------------------< end of file >------------------------------##

=== loader/mvme/Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for MVME147/16x parts of vmelilo.
#
# (c) Copyright 1997 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#

##--------------------------------------------------------------------------##

TOPDIR				=	../..

CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
						-I$(TOPDIR) -I$(LDRINC) -I.
AFLAGS				=	-Wa,-m68060

##--------------------------------------------------------------------------##
# Targets
#

all: mvme.o

##--------------------------------------------------------------------------##
# Clean up
#

clean:
	rm -f *.o *.data *.bin *.map

##--------------------------------------------------------------------------##

include ../Rules.make

##--------------------------------------------------------------------------##
# Dependencies
#

mvme.o:			mvme.c mvmebug.h mvmeipl.data mvmeloader.data \
				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
				$(LDRINC)/loaderdefs.h config.h

mvmeloader.data: $(LOADER_COMMON_OBJS) mvmeloader.o loader.ld
				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) mvmeloader.o \
					-o mvmeloader.bin -oformat binary -M >mvmeloader.map
				$(BIN2DATA) mvmeloader.bin mvmeloader_code > $@

mvmeipl.data:	mvmeipl.o loader.ld
				$(LD) -T loader.ld mvmeipl.o -o mvmeipl.bin \
					-oformat binary -M >mvmeipl.map
				$(BIN2DATA) mvmeipl.bin mvmeipl_code > $@

mvmeloader.o:	mvmeloader.c mvmebug.h $(LOADER_COMMON_INCS)

##-----------------------------< end of file >------------------------------##

=== debian/changelog ===
vmelilo (1.3.2-1) unstable; urgency=high

  * Fixed problem where the default kernel is not added to the boot loader
    file map rendering any boot configuration relying on the default kernel
    unbootable.

 -- Nick Holgate <holgate@debian.org>  Thu, 18 Nov 1999 13:48:38 +0000

vmelilo (1.3.1-1) unstable; urgency=low

  * Recomplied with GCC 2.95.2.
  * Standards 3.0.1.

 -- Nick Holgate <holgate@debian.org>  Sun, 10 Oct 1999 22:52:21 +0100

vmelilo (1.3.0-1) unstable; urgency=low

  * Added new configuration file options:
       console
       root
       read-only
       read-write
  * Kernel command line parameters entered at boot prompt no longer replace
    options specified by config file 'cmdline' option, but are appended after.
  * Fixed off by one error when checking for full kernel command line.

 -- Nick Holgate <holgate@debian.org>  Wed,  7 Jul 1999 00:54:28 +0100

vmelilo (1.2.2-1) unstable; urgency=low

  * Fixed description of 'master-password' configuration option in man page. 

 -- Nick Holgate <holgate@debian.org>  Sun, 13 Jun 1999 23:19:19 +0100

vmelilo (1.2.1-1) unstable; urgency=high

  * Added support for SCSI_DISK[1-7]_MAJOR devices in 2.2 kernels.
  * Fixed incorrect machine type for MVME147.

 -- Nick Holgate <holgate@debian.org>  Fri, 14 May 1999 01:23:52 +0100

vmelilo (1.2.0-1) unstable; urgency=low

  * File I/O code in loader rewritten to support disks larger than 4Gb.
  * New IPL code for MVME.
  * BVME now uses an IPL to load the kernel loader.
  * Added MVME147 support.
  * Don't allow spaces in boot record name or alias.
  * Allow 'Yes', 'No' and numeric input for boolean config file parameters.
  * Abort if boot device not specified in either config file or command line.
  * Boot loader input timeout relaxed to mean idle time between key presses
    rather than time in which full input line must be entered.
  * Made larger portions of the loader code common to both BVME and MVME thus
    reducing the number of architecture specific functions required.
  * Converted Debian packaging rules to use debhelper.
  * Added VME specific bootinfo tags for future kernels.
  * Allow configuration file input lines to be continued with a backslash.
  * Configuration section marker '[options]' is no longer required at
    start of configuration file.
  * Reorganised source code directory structure to allow for conditional
    compilation of each supported sub-architecture.
  * A default value for the 'append' config parameter may now be specified
    in the global (options) part of the config file.
  * Modified the usage of 'cmdline', 'append' and boot prompt input to match
    that of tftplilo(8). i.e. 'cmdline' is used only if no boot prompt input
    is made then the 'append' parameter is appended.
  * Allow 'restricted' boot configurations without a password.
  * When listing boot configurations the loader now shows if configuration
    is restricted or needs a password.
  * Don't allow boot configurations with label or alias of 'su', 'help'
    or '?'.
  * Added master password configuration.
  * Entering ? or help at the boot prompt displays list of internal commands.
  * The following commands can now be entered at the boot prompt su, exit,
    debug, call, show and break.

 -- Nick Holgate <holgate@debian.org>  Mon, 10 May 1999 23:03:00 +0000

=== debian/control ===
Source: vmelilo
Section: base
Priority: optional
Maintainer: Nick Holgate <holgate@debian.org>
Standards-Version: 3.0.1

Package: vmelilo
Architecture: m68k
Depends: ${shlibs:Depends}
Description: Linux kernel boot loader for m68k VME processor boards.
 Vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
 loader allowing direct booting from disk.  Includes support for Linux
 version 2.0, 2.1 and 2.2 compressed kernels.
 Currently vmelilo supports the BVME4000 and BVME6000 processor boards
 from BVM Ltd and the MVME147, MVME162, MVME166, MVME167, MVME172 and
 MVME177 processor boards from Motorola.

=== debian/rules ===
#!/usr/bin/make -f

package=vmelilo

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# install the package into debian/tmp.
	$(MAKE) DESTDIR=`pwd`/debian/tmp install-bin

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installexamples examples/*
	dh_installmanpages
	dh_installchangelogs
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vmelilo 1.5.2

=== loader/bvme/Makefile ===
--- 
+++ 
@@ -41,14 +41,14 @@
 				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
 				$(LDRINC)/loaderdefs.h config.h
 
-bvmeloader.data: $(LOADER_COMMON_OBJS) bvmeloader.o loader.ld
-				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) bvmeloader.o \
-					-o bvmeloader.bin -oformat binary -M >bvmeloader.map
+bvmeloader.data: $(LOADER_COMMON_OBJS) bvmeloader.o loader.lds
+				$(LD) -T loader.lds $(LOADER_COMMON_OBJS) bvmeloader.o \
+					-o bvmeloader.bin --oformat binary -M >bvmeloader.map
 				$(BIN2DATA) bvmeloader.bin bvmeloader_code > $@
 
-bvmeipl.data:	bvmeipl.o loader.ld
-				$(LD) -T loader.ld bvmeipl.o -o bvmeipl.bin \
-					-oformat binary -M >bvmeipl.map
+bvmeipl.data:	bvmeipl.o loader.lds
+				$(LD) -T loader.lds bvmeipl.o -o bvmeipl.bin \
+					--oformat binary -M >bvmeipl.map
 				$(BIN2DATA) bvmeipl.bin bvmeipl_code > $@

=== loader/mvme/Makefile ===
--- 
+++ 
@@ -41,14 +41,14 @@
 				$(TOPDIR)/vmelilo.h $(TOPDIR)/version.h \
 				$(LDRINC)/loaderdefs.h config.h
 
-mvmeloader.data: $(LOADER_COMMON_OBJS) mvmeloader.o loader.ld
-				$(LD) -T loader.ld $(LOADER_COMMON_OBJS) mvmeloader.o \
-					-o mvmeloader.bin -oformat binary -M >mvmeloader.map
+mvmeloader.data: $(LOADER_COMMON_OBJS) mvmeloader.o loader.lds
+				$(LD) -T loader.lds $(LOADER_COMMON_OBJS) mvmeloader.o \
+					-o mvmeloader.bin --oformat binary -M >mvmeloader.map
 				$(BIN2DATA) mvmeloader.bin mvmeloader_code > $@
 
-mvmeipl.data:	mvmeipl.o loader.ld
-				$(LD) -T loader.ld mvmeipl.o -o mvmeipl.bin \
-					-oformat binary -M >mvmeipl.map
+mvmeipl.data:	mvmeipl.o loader.lds
+				$(LD) -T loader.lds mvmeipl.o -o mvmeipl.bin \
+					--oformat binary -M >mvmeipl.map
 				$(BIN2DATA) mvmeipl.bin mvmeipl_code > $@
 
 mvmeloader.o:	mvmeloader.c mvmebug.h $(LOADER_COMMON_INCS)

=== debian/changelog ===
vmelilo (1.5.2) unstable; urgency=high

  * Removed canonicalisation of filenames referenced by loader file map,
    which broke the --root option. Restructuring needed to re-implement it.

 -- Nick Holgate <holgate@debian.org>  Mon, 23 Jul 2001 22:04:11 +0100

vmelilo (1.5.1) unstable; urgency=low

  * Rebuilt with GCC 2.95.4 and binutils 2.11.90.0.7. 

 -- Nick Holgate <holgate@debian.org>  Tue,  3 Jul 2001 14:13:56 +0100

vmelilo (1.5.0) unstable; urgency=low

  * Added 'optional' boot configuration option.
  * Added --quiet command line option.
  * Fixed problem with test mode and not yet created boot loader file.
  * Tidied up some output messages.
  * Improved accuracy of reported location of config file errors.

 -- Nick Holgate <holgate@debian.org>  Wed, 18 Apr 2001 00:26:33 +0100

vmelilo (1.4.0) unstable; urgency=low

  * Added facility to incorporate kernel command line parameters stored
    in boot ROM non-volatile storage.
  * Loader file map definitions use the canonicalised filename to ensure
    that a file is include only once and thus minimising the file map size.
  * BVME loader modified to call BVMBug using 'trap #15' calls, requires
    BVMBug revision G or later.

 -- Nick Holgate <holgate@debian.org>  Wed,  7 Mar 2001 23:16:54 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Depends: ${shlibs:Depends}
 Description: Linux kernel boot loader for m68k VME processor boards.
  Vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
- loader allowing direct booting from disk.  Includes support for Linux
- version 2.0, 2.1 and 2.2 compressed kernels.
+ loader allowing direct booting from disk.  Includes support for 
+ gzip compressed Linux kernel images.
  Currently vmelilo supports the BVME4000 and BVME6000 processor boards
  from BVM Ltd and the MVME147, MVME162, MVME166, MVME167, MVME172 and
  MVME177 processor boards from Motorola.

## vmelilo 1.5.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 # License.  See the file COPYING for more details.
 #
 #
+
+include Version.make
 
 DESTDIR				=
 BINDIR				=	/sbin
@@ -40,15 +42,19 @@
 #
 
 .PHONY:			all
-all:			subdirs vmelilo
+all:			subdirs vmelilo docs
 
 .PHONY:			subdirs
-subdirs:
+subdirs:		version.h
 				for i in $(SUBDIRS); do $(MAKE) -C $$i; done
 
 vmelilo:		$(OBJS) Makefile
 				$(CC) $(OBJS) -o vmelilo
 				$(STRIP) -R .note -R .comment vmelilo
+
+.PHONY:			docs
+docs:
+	$(MAKE) -C docs
 
 ##--------------------------------------------------------------------------##
 # Dependencies
@@ -58,17 +64,21 @@
 config.o:		config.c   vmelilo.h version.h $(LDRINC)/loaderdefs.h
 geometry.o:		geometry.c vmelilo.h version.h $(LDRINC)/loaderdefs.h
 
+version.h:		Version.make version.h.in
+	sed -e s/__VERSION__/$(VERSION)/ \
+		-e s/__DATE__/$(DATE)/ <version.h.in >version.h
+
 ##--------------------------------------------------------------------------##
 # Installation
 #
 
 .PHONY:		install install-bin install-man
-install:	install-bin install-man
+install:	all install-bin install-man
 
 install-bin: vmelilo
 	$(INSTALL) -o root -g root -m 0755 vmelilo             $(DESTDIR)$(BINDIR)/
 
-install-man:
+install-man: docs
 	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.8      $(DESTDIR)$(MANDIR)/man8/
 	$(INSTALL) -o root -g root -m 0644 docs/vmelilo.conf.5 $(DESTDIR)$(MANDIR)/man5/
 
@@ -78,8 +88,8 @@
 
 .PHONY:			clean
 clean:
-				rm -f vmelilo *.o
-				for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done
+				rm -f vmelilo *.o version.h
+				for i in $(SUBDIRS) docs; do $(MAKE) -C $$i clean; done
 
 ##--------------------------------------------------------------------------##
 # General rules

=== docs/Makefile ===
##--------------------------------------------------------------------------##
#
# Makefile for VMELILO the VME Linux/m68k Kernel Loader man pages
#
# (c) Copyright 2001 by Nick Holgate
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file COPYING for more details.
#
#

include ../Version.make

##--------------------------------------------------------------------------##

DOCS	=	vmelilo.8 vmelilo.conf.5

##--------------------------------------------------------------------------##

.PHONY:		all
all:		$(DOCS)

##--------------------------------------------------------------------------##

vmelilo.8:	vmelilo.8.in ../Version.make
		sed -e s/__VERSION__/$(VERSION)/ \
			-e s/__DATE__/$(DATE)/ <$@.in >$@

vmelilo.conf.5:	vmelilo.conf.5.in ../Version.make
		sed -e s/__VERSION__/$(VERSION)/ \
			-e s/__DATE__/$(DATE)/ <$@.in >$@

##--------------------------------------------------------------------------##

.PHONY:		clean
clean:
	rm -f $(DOCS)

##-----------------------------< end of file >------------------------------##

=== utils/Makefile ===
--- 
+++ 
@@ -13,12 +13,9 @@
 HOSTCC				=	gcc
 HOSTCFLAGS			=	-Wstrict-prototypes -O2 -fomit-frame-pointer -Wall
 
-OBJS				=	dumpmap bin2data
+OBJS				=	dumpmap
 
 all:			$(OBJS)
-
-bin2data:		bin2data.c
-				$(HOSTCC) $(HOSTCFLAGS) -O bin2data.c -o bin2data
 
 dumpmapfile:	dumpmapfile.c ../vmelilo.h ../version.h $(LDRINC)/loaderdefs.h
 				$(CC) $(CFLAGS) -o dumpmap dumpmap.c

=== loader/bvme/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 TOPDIR				=	../..
 
-CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
+CFLAGS				=	-O2 -fno-builtin -fomit-frame-pointer -Wall -m68060 \
 						-I$(TOPDIR) -I$(LDRINC) -I.
 AFLAGS				=	-Wa,-m68060

=== loader/mvme/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 TOPDIR				=	../..
 
-CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 \
+CFLAGS				=	-O2 -fno-builtin -fomit-frame-pointer -Wall -m68060 \
 						-I$(TOPDIR) -I$(LDRINC) -I.
 AFLAGS				=	-Wa,-m68060

=== debian/changelog ===
vmelilo (1.5.3) unstable; urgency=low

  * Reworked to build with current toolchain.
  * Added Build-Depends.
  * Updated to standards version 3.6.1

 -- Richard Hirst <richard@sleepie.demon.co.uk>  Sun, 26 Oct 2003 14:58:16 +0000

## vmelilo 1.5.4

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 .PHONY:			subdirs
 subdirs:		version.h
-				for i in $(SUBDIRS); do $(MAKE) -C $$i; done
+				set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i; done
 
 vmelilo:		$(OBJS) Makefile
 				$(CC) $(OBJS) -o vmelilo

=== debian/changelog ===
vmelilo (1.5.4) unstable; urgency=low

  * Fix to build against current kernel headers
  * Fix to build with current toolchain
  * Add 'set -e' in Makefile to catch errors in subdirs
  * Fix bug detecting eof parsing config file

 -- Richard Hirst <richard@sleepie.demon.co.uk>  Mon, 12 Dec 2005 00:08:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: vmelilo
 Section: base
 Priority: optional
-Maintainer: Nick Holgate <holgate@debian.org>
-Standards-Version: 3.0.1
+Maintainer: Richard Hirst <richard@sleepie.demon.co.uk>
+Build-Depends: debhelper
+Standards-Version: 3.6.1
 
 Package: vmelilo
 Architecture: m68k

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,13 @@
 #!/usr/bin/make -f
-
-package=vmelilo
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
-build-stamp:
+build:
 	dh_testdir
 
 	# compile the package.
 	$(MAKE)
-
-	touch build-stamp
 
 clean:
 	dh_testdir
@@ -24,8 +19,7 @@
 
 	dh_clean
 
-install: install-stamp
-install-stamp: build-stamp
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -34,7 +28,6 @@
 	# install the package into debian/tmp.
 	$(MAKE) DESTDIR=`pwd`/debian/tmp install-bin
 
-	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -49,11 +42,9 @@
 	dh_installexamples examples/*
 	dh_installmanpages
 	dh_installchangelogs
-	dh_movefiles
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## vmelilo 1.5.4+nmu1

=== loader/bvme/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 TOPDIR				=	../..
 
-CFLAGS				=	-O2 -fno-builtin -fomit-frame-pointer -Wall -m68060 \
+CFLAGS				=	-O2 -fno-builtin $(DEBIAN_EXTRAFLAGS) -fomit-frame-pointer -Wall -m68060 \
 						-I$(TOPDIR) -I$(LDRINC) -I.
 AFLAGS				=	-Wa,-m68060

=== loader/mvme/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 TOPDIR				=	../..
 
-CFLAGS				=	-O2 -fno-builtin -fomit-frame-pointer -Wall -m68060 \
+CFLAGS				=	-O2 -fno-builtin $(DEBIAN_EXTRAFLAGS) -fomit-frame-pointer -Wall -m68060 \
 						-I$(TOPDIR) -I$(LDRINC) -I.
 AFLAGS				=	-Wa,-m68060

=== debian/changelog ===
vmelilo (1.5.4+nmu1) unreleased; urgency=low

  * Non-maintainer upload.
  * Remove extraneous spaces
  * debian/source/format: new
  * Update COPYING with new FSF template due to postal address change
  * Fix FTBFS: copy needed kernel headers into package, suggested by
    waldi (from .../linux-headers-2.6.39-1-common_2.6.39-1_m68k.deb)
  * Prevent GCC from optimising away local variables only accessed
    from inline assembly code
  * Fix compiler and some lintian warnings
  * Upload to debian-ports.org unreleased due to removal from sid

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 03 Jun 2011 22:41:04 +0000

=== debian/control ===
Source: vmelilo
Section: admin
Priority: optional
Maintainer: Richard Hirst <richard@sleepie.demon.co.uk>
Build-Depends: debhelper
Standards-Version: 3.6.1

Package: vmelilo
Architecture: m68k
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Linux kernel boot loader for m68k VME processor boards
 vmelilo generates and installs a VME Linux/m68k kernel and ramdisk boot
 loader allowing direct booting from disk. It includes support for gzip
 compressed Linux kernel images.
 Currently vmelilo supports the BVME4000 and BVME6000 processor boards
 from BVM Ltd and the MVME147, MVME162, MVME166, MVME167, MVME172 and
 MVME177 processor boards from Motorola.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEBIAN_EXTRAFLAGS+=	-I$$(pwd)/debian/kernel-headers
+DEBIAN_EXTRAFLAGS+=	-fno-strict-aliasing
+
 build:
 	dh_testdir
 
 	# compile the package.
-	$(MAKE)
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)"
 
 clean:
 	dh_testdir
@@ -15,7 +18,7 @@
 	rm -f build-stamp install-stamp
 
 	# clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" clean
 
 	dh_clean
 
@@ -26,7 +29,8 @@
 	dh_installdirs
 
 	# install the package into debian/tmp.
-	$(MAKE) DESTDIR=`pwd`/debian/tmp install-bin
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" \
+	    DESTDIR=$$(pwd)/debian/tmp install-bin
 
 
 # Build architecture-independent files here.
@@ -51,9 +55,8 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
-
